Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.formula.ptg
Class Area3DPtg

    java.lang.Object
      org.apache.poi.ss.formula.ptg.Ptg
          org.apache.poi.ss.formula.ptg.OperandPtg
              org.apache.poi.ss.formula.ptg.AreaPtgBase
                  org.apache.poi.ss.formula.ptg.Area3DPtg

All Implemented Interfaces:
  java.lang.Cloneable, ExternSheetReferenceToken, AreaI, WorkbookDependentFormula

    public final class Area3DPtg

extends AreaPtgBase
implements WorkbookDependentFormula, ExternSheetReferenceToken

Title: Area 3D Ptg - 3D reference (Sheet + Area)

Description: Defined a area in Extern Sheet.

REFERENCE:

Author:
  Libin Roman (Vista Portal LDT. Developer), avik, Jason Height (jheight at chariot dot net dot au)

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.poi.ss.formula.ptg.AreaI
`AreaI.OffsetArea`

Field Summary
`static byte` | `sid`

Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Constructor Summary
`Area3DPtg(AreaReference arearef, int externIdx)`
`Area3DPtg(int firstRow, int lastRow, int firstColumn, int lastColumn, boolean firstRowRelative, boolean lastRowRelative, boolean firstColRelative, boolean lastColRelative, int externalSheetIndex)`
`Area3DPtg(LittleEndianInput in)`
`Area3DPtg(java.lang.String arearef, int externIdx)`

Method Summary
`java.lang.String` | `format2DRefAsString()`
`int` | `getExternSheetIndex()`
`int` | `getSize()`
`void` | `setExternSheetIndex(int index)`
`java.lang.String` | `toFormulaString()` return a string representation of this token alone
`java.lang.String` | `toFormulaString(FormulaRenderingWorkbook book)`
`java.lang.String` | `toString()` Overridden toString method to ensure object hash is not printed.
`void` | `write(LittleEndianOutput out)`

Methods inherited from class org.apache.poi.ss.formula.ptg.AreaPtgBase
`getDefaultOperandClass, getFirstColumn, getFirstColumnRaw, getFirstRow, getLastColumn, getLastColumnRaw, getLastRow, isFirstColRelative, isFirstRowRelative, isLastColRelative, isLastRowRelative, setFirstColRelative, setFirstColumn, setFirstColumnRaw, setFirstRow, setFirstRowRelative, setLastColRelative, setLastColumn, setLastColumnRaw, setLastRow, setLastRowRelative`

Methods inherited from class org.apache.poi.ss.formula.ptg.OperandPtg
`copy, isBaseToken`

Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final byte sid

See Also:
  Constant Field Values

Constructor Detail

### Area3DPtg

    public Area3DPtg(java.lang.String arearef,
                     int externIdx)

### Area3DPtg

    public Area3DPtg(LittleEndianInput in)

### Area3DPtg

    public Area3DPtg(int firstRow,
                     int lastRow,
                     int firstColumn,
                     int lastColumn,
                     boolean firstRowRelative,
                     boolean lastRowRelative,
                     boolean firstColRelative,
                     boolean lastColRelative,
                     int externalSheetIndex)

### Area3DPtg

    public Area3DPtg(AreaReference arearef,
                     int externIdx)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Ptg`
  Overridden toString method to ensure object hash is not printed. This helps get rid of gratuitous diffs when comparing two dumps Subclasses may output more relevant information by overriding this method

  Overrides:
    `toString` in class `Ptg`

### write

    public void write(LittleEndianOutput out)

  Specified by:
    `write` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`
  Returns:
    the encoded length of this Ptg, including the initial Ptg type identifier byte.

### getExternSheetIndex

    public int getExternSheetIndex()

  Specified by:
    `getExternSheetIndex` in interface `ExternSheetReferenceToken`

### setExternSheetIndex

    public void setExternSheetIndex(int index)

### format2DRefAsString

    public java.lang.String format2DRefAsString()

  Specified by:
    `format2DRefAsString` in interface `ExternSheetReferenceToken`
  Returns:
    formula text for this reference token without the qualifying sheet name

### toFormulaString

    public java.lang.String toFormulaString(FormulaRenderingWorkbook book)

  Specified by:
    `toFormulaString` in interface `WorkbookDependentFormula`
  Returns:
    text representation of this area reference that can be used in text formulas. The sheet name will get properly delimited if required.

### toFormulaString

    public java.lang.String toFormulaString()

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Overrides:
    `toFormulaString` in class `AreaPtgBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD